std::pointer_traits< _Ptr > Struct Template Reference
Utilities » Memory » Pointer Abstractions

`#include <ptr_traits.h>`

## Public Types

using | difference_type
using | pointer
template<typename _Up>
using | rebind

## Detailed Description

template<typename _Ptr>
struct std::pointer_traits< _Ptr >

Uniform interface to all pointer-like types.

Definition at line 99 of file ptr_traits.h.

## Member Typedef Documentation

## difference_type

template<typename _Ptr>

using std::pointer_traits< _Ptr >::difference_type

The type used to represent the difference between two pointers.

Definition at line 117 of file ptr_traits.h.

## pointer

template<typename _Ptr>

using std::pointer_traits< _Ptr >::pointer

The pointer type.

Definition at line 114 of file ptr_traits.h.

## rebind

template<typename _Ptr>
template<typename _Up>

using std::pointer_traits< _Ptr >::rebind

A pointer to a different type.

Definition at line 121 of file ptr_traits.h.

The documentation for this struct was generated from the following file:

- ptr_traits.h